linux-lts-quantal: 3.5.0-52.78~precise1 -proposed tracker

Bug #1328969 reported by Luis Henriques on 2014-06-11
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Sylvain Pineau
Prepare-package
Medium
Canonical Kernel Team
Prepare-package-meta
Medium
Canonical Kernel Team
Prepare-package-signed
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-quantal (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.5.0-52.78~precise1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 11. June 2014 16:18 UTC
kernel-stable-Prepare-package-end:Wednesday, 11. June 2014 21:03 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 11. June 2014 21:03 UTC
ppa-package-testing-start:Wednesday, 11. June 2014 22:02 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 12. June 2014 02:02 UTC
kernel-stable-Verification-testing-start:Thursday, 12. June 2014 03:04 UTC
kernel-stable-Certification-testing-start:Thursday, 12. June 2014 03:04 UTC
kernel-stable-Security-signoff-start:Thursday, 12. June 2014 03:04 UTC
kernel-stable-Regression-testing-start:Thursday, 12. June 2014 03:04 UTC
kernel-stable-Verification-testing-end:Friday, 20. June 2014 17:31 UTC
kernel-stable-Regression-testing-end:Friday, 20. June 2014 17:31 UTC
kernel-stable-Security-signoff-end:Friday, 20. June 2014 17:31 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 24. June 2014 17:47 UTC
kernel-stable-Certification-testing-end:Tuesday, 24. June 2014 17:47 UTC
kernel-stable-Promote-to-updates-end:Thursday, 26. June 2014 14:15 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 26. June 2014 15:26 UTC

CVE References

Luis Henriques (henrix) on 2014-06-11
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Brad Figg (brad-figg) on 2014-06-11
description: updated
Adam Conrad (adconrad) on 2014-06-12
Changed in linux-lts-quantal (Ubuntu):
status: New → Invalid
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and -signed built.

Brad Figg (brad-figg) on 2014-06-12
description: updated
Brad Figg (brad-figg) on 2014-06-12
description: updated
Paul Larson (pwlars) on 2014-06-17
tags: added: qa-testing-passed
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-06-20
description: updated
Sylvain Pineau (sylvain-pineau) wrote :

The Hardware Certification team have completed testing this -proposed kernel. No regressions were observed.

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2014-06-24
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-quantal - 3.5.0-52.78~precise1

---------------
linux-lts-quantal (3.5.0-52.78~precise1) precise; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1328969

  [ Andy Whitcroft ]

  * [debian] insertchanges -- fix to work across major version changes

  [ Brad Figg ]

  * Non-rebase branch fixups so startnewrelease will work.
  * debian/rules.d/0-common-vars.mk: drop anything after ~ from the version
  * debian/rules.d/1-maintainer.mk: Add '-lts-' to the tag that being used
    to find the base commit

  [ Kamal Mostafa ]

  * [Config] add debian/gbp.conf

  [ Upstream Kernel Changes ]

  * filter: prevent nla extensions to peek beyond the end of the message
    - LP: #1319561, #1319563
    - CVE-2014-3145
 -- Luis Henriques <email address hidden> Wed, 11 Jun 2014 17:23:37 +0100

Changed in linux-lts-quantal (Ubuntu Precise):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-06-26
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers